Skip to main content
`Ctrl`+`K`

# DMLabelSetType

Sets the particular implementation for a label.

## Synopsis

    #include "petscdmlabel.h"
    #include "petscsection.h"
    PetscErrorCode DMLabelSetType(DMLabel label, DMLabelType method)

Collective

## Input Parameters

- label - The label

- method - The name of the label type

## Options Database Key

- -dm_label_type type - Sets the label type; see `DMLabelType`

## See Also

`DMLabel`, `DM`, `DMLabelGetType()`, `DMLabelCreate()`, `DMLabelType`

## Level

intermediate

## Location

src/dm/label/dmlabel.c

Index of all DMLabel routines
Table of Contents for all manual pages
Index of all manual pages